<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_181) on Fri Apr 26 21:45:30 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Fete (server 1.2 API)</title>
<meta name="date" content="2019-04-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Fete (server 1.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Fete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/lanolin/lib/fete/Fete.html" target="_top">Frames</a></li>
<li><a href="Fete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ru.lanolin.lib.fete</div>
<h2 title="Class Fete" class="title">Class Fete</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>ru.lanolin.lib.fete.Fete</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../ru/lanolin/additions/Celebrate.html" title="class in ru.lanolin.additions">Celebrate</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Fete</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></pre>
<div class="block">Класс, описывающий Мероприятие</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#creator">creator</a></span></code>
<div class="block">Создатель определенного количества <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#guests">guests</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> , в которой хранятся <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, доступные текущему пользователю</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#invertSort">invertSort</a></span></code>
<div class="block">Показывает, как отсортирована <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a>. false - в естественном порядке, true - в обратном порядке</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#protectedGuest">protectedGuest</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a>, хранятся все <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, недоступные текущему пользователю</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#Fete-java.util.List-int-">Fete</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;databases,
    int&nbsp;creator)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#add-java.lang.String-">add</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;element)</code>
<div class="block">Команда в консоль: <code>add</code> {JSON element} <br>
 Добавляет элемент в коллецию.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#construct-java.util.Map-">construct</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;element)</code>
<div class="block">Специальный мемтод, который создает объект типа <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> по <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a>, в котором хранятся
 поля со значениями.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#getCreator--">getCreator</a></span>()</code>
<div class="block">Получить текущего создателя, который залогинен</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#getGuests--">getGuests</a></span>()</code>
<div class="block">Метод, возвращающий <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> гостей, присутствующих на мероприятии.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#help--">help</a></span>()</code>
<div class="block">Команда в консоль: <code>help</code> <br></div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#info--">info</a></span>()</code>
<div class="block">Команда в консоль: <code>info</code> <br>
 Выводит в консоль информацию о коллекции, в которой хранятся гости на мероприятии.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#insert-java.lang.String-">insert</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</code>
<div class="block">Команда в консоль: <code>insert</code> {<code>int</code> index} {JSON element} <br>
 По JSON создается элемент типа <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, и добавляется в позицияю, переданную в <code>index</code>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#remove_greater-java.lang.String-">remove_greater</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;element)</code>
<div class="block">Команда в консоль: <code>remove_greater</code> {JSON element} <br>
 Удаляте из коллекции элементы, большие данного</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#remove-java.lang.String-">remove</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;element)</code>
<div class="block">Команда в консоль: <code>remove</code> {JSON element} <br>
 По переданным параметрам в JSON виде, удаляется элеммент из коллекции, если это возможно.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#reorder--">reorder</a></span>()</code>
<div class="block">Команда в консоль: <code>reorder</code> <br>
 Действие: производит сортировку коллекции в обратном порядке.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#show--">show</a></span>()</code>
<div class="block">Команда в консоль: <code>show</code><br>
 Такая команда выводит в консоль все элементы в "красивом виде".</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ru.lanolin.lib.fete.DoFete">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;ru.lanolin.lib.fete.<a href="../../../../ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></h3>
<code><a href="../../../../ru/lanolin/lib/fete/DoFete.html#addParticipant-ru.lanolin.lib.human.Human-">addParticipant</a>, <a href="../../../../ru/lanolin/lib/fete/DoFete.html#addParticipants-java.util.List-">addParticipants</a>, <a href="../../../../ru/lanolin/lib/fete/DoFete.html#leaveParticipant-ru.lanolin.lib.human.Human-">leaveParticipant</a>, <a href="../../../../ru/lanolin/lib/fete/DoFete.html#leaveParticipants-java.util.Vector-">leaveParticipants</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="protectedGuest">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>protectedGuest</h4>
<pre>private final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt; protectedGuest</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a>, хранятся все <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, недоступные текущему пользователю</div>
</li>
</ul>
<a name="guests">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>guests</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt; guests</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> , в которой хранятся <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, доступные текущему пользователю</div>
</li>
</ul>
<a name="invertSort">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invertSort</h4>
<pre>private&nbsp;boolean invertSort</pre>
<div class="block">Показывает, как отсортирована <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a>. false - в естественном порядке, true - в обратном порядке</div>
</li>
</ul>
<a name="creator">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>creator</h4>
<pre>private&nbsp;int creator</pre>
<div class="block">Создатель определенного количества <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Fete-java.util.List-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Fete</h4>
<pre>public&nbsp;Fete(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;databases,
            int&nbsp;creator)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getGuests--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGuests</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;getGuests()</pre>
<div class="block">Метод, возвращающий <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> гостей, присутствующих на мероприятии.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a></dd>
</dl>
</li>
</ul>
<a name="getCreator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreator</h4>
<pre>public&nbsp;int&nbsp;getCreator()</pre>
<div class="block">Получить текущего создателя, который залогинен</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><code>Integer</code></a></dd>
</dl>
</li>
</ul>
<a name="construct-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>construct</h4>
<pre>private&nbsp;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;construct(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;element)</pre>
<div class="block">Специальный мемтод, который создает объект типа <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> по <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a>, в котором хранятся
 поля со значениями.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a> с возможными полями:
                <ul>
                <li><code>name</code>,<code>fate</code> - обязательные поля</li>
                <li><code>quality</code>,<code>birthday</code> - опциональные поля</li>
                </ul></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>соданный объект типа <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из переданных данных в параметр.</dd>
</dl>
</li>
</ul>
<a name="info--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>info</h4>
<pre>public&nbsp;void&nbsp;info()</pre>
<div class="block">Команда в консоль: <code>info</code> <br>
 Выводит в консоль информацию о коллекции, в которой хранятся гости на мероприятии.<br>
 Информация:
 <ul>
 <li>тип коллекции;</li>
 <li>дата инициализации;</li>
 <li>количесво элементом;</li>
 <li>максимальное количество элементов;</li>
 <li>заполенность коллекции.</li>
 </ul></div>
</li>
</ul>
<a name="reorder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reorder</h4>
<pre>public&nbsp;void&nbsp;reorder()</pre>
<div class="block">Команда в консоль: <code>reorder</code> <br>
 Действие: производит сортировку коллекции в обратном порядке.</div>
</li>
</ul>
<a name="help--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>help</h4>
<pre>public&nbsp;void&nbsp;help()</pre>
<div class="block">Команда в консоль: <code>help</code> <br></div>
</li>
</ul>
<a name="remove_greater-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove_greater</h4>
<pre>public&nbsp;void&nbsp;remove_greater(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;element)</pre>
<div class="block">Команда в консоль: <code>remove_greater</code> {JSON element} <br>
 Удаляте из коллекции элементы, большие данного</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> JSON строка.</dd>
</dl>
</li>
</ul>
<a name="add-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;void&nbsp;add(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;element)</pre>
<div class="block">Команда в консоль: <code>add</code> {JSON element} <br>
 Добавляет элемент в коллецию.
 При ошибке в JSON строке - данный объект не будет добвален в коллекцию</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - JSON строка, которая должна содержать: <ul>
                <li><code>name</code>,<code>fate</code> - обязательные поля</li>
                <li><code>quality</code>,<code>evaluation</code> - опциональные поля</li>
                </ul></dd>
</dl>
</li>
</ul>
<a name="remove-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;void&nbsp;remove(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;element)</pre>
<div class="block">Команда в консоль: <code>remove</code> {JSON element} <br>
 По переданным параметрам в JSON виде, удаляется элеммент из коллекции, если это возможно. <br>
 Чтобы точно удалить элемент из коллекции, нужно передать точные значения полей.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> JSON строка, которая должна содержать:
                <ul>
                <li><code>name</code>,<code>fate</code> - обязательные поля</li>
                <li><code>quality</code>,<code>evaluation</code> - опциональные поля</li>
                </ul></dd>
</dl>
</li>
</ul>
<a name="show--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>show</h4>
<pre>public&nbsp;void&nbsp;show()</pre>
<div class="block">Команда в консоль: <code>show</code><br>
 Такая команда выводит в консоль все элементы в "красивом виде".</div>
</li>
</ul>
<a name="insert-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>insert</h4>
<pre>public&nbsp;void&nbsp;insert(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</pre>
<div class="block">Команда в консоль: <code>insert</code> {<code>int</code> index} {JSON element} <br>
 По JSON создается элемент типа <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, и добавляется в позицияю, переданную в <code>index</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> состоящий из двух частей, разделенные пробелом: {<code>int</code> index} {<code>JSON</code> element}</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Fete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/lanolin/lib/fete/Fete.html" target="_top">Frames</a></li>
<li><a href="Fete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
